using System;
using System.Collections.Generic;
using Siger.Middlelayer.Common.ModuleEnum;
using Siger.Middlelayer.WmsRepository.Entities;
using Siger.Middlelayer.WmsRepository.Response;

namespace Siger.Middlelayer.WmsRepository.Repositories.Interface
{
    public interface Isiger_wms_stocktake_orderRepository : IWMSRepositoryBase<siger_wms_stocktake_order>
    {
        IEnumerable<ResponseWaveHousing> GetBills(CheckStatu type, int projectId, int page, int pageSize, out int totalCount);
        void AddCheckBill(int waveHouseID, List<int> inventories, int projectId, int userId,string billCode);
        void UpdateBill(int id, List<int> stockids, int projectId, int userId);
        IEnumerable<ResponseGetBillList> GetBillList(int storageid, CheckStatu type, string sn, int page, int pageSize, out int totalCount, int projectId, int userId, CheckedStatu filter = CheckedStatu.No, bool isExport = false,DateTime? start=null, DateTime? end=null);
        ResponseGetTotalInfo GetTotalInfo(int projectId);
        ResponseGetDetail GetDetail(int id, int projectId);
    }
}
